<div
  fxLayout="row"
  fxLayoutGap="20px"
  fxLayoutAlign="left center"
  *ngIf="!disableSearch"
>
  <div fxFlex class="mb">
    <mat-form-field fxFlex class="mb-0">
      <mat-label>Cerca...</mat-label>
      <input
        type="text"
        matInput
        placeholder="Inserisci nome prodotto"
        (ngModelChange)="search($event)"
        [(ngModel)]="keyword"
      />
    </mat-form-field>
  </div>
  <div fxFlex="nogrow">
    <button mat-button (click)="resetSearch()">
      <mat-icon>clear</mat-icon> reset
    </button>
  </div>
</div>
<mat-list>
  <mat-list-item *ngFor="let item of items; let i = index">
    <p
      mat-line
      [uiSref]="uiSrefEditState"
      [uiParams]="{ id: item._id }"
      class="cursor item-title"
    >
      {{
        renderer
          ? renderer(item)
          : item.name.it || item.name.en || item.name || 'no title'
      }}
    </p>
    <!-- <a [href]="'http://antoniolupi.it/it/' + item.slug.it" target="_blank" (click)="test(item)">
          <button *ngIf="hasPreview" mat-mini-fab color="primary" style="margin-right: 16px;">
            <mat-icon>visibility</mat-icon>
          </button>
        </a> -->
    <button
      mat-mini-fab
      color="primary"
      [uiSref]="uiSrefEditState"
      [uiParams]="{ id: item._id }"
      style="margin-right: 16px;"
    >
      <mat-icon>edit</mat-icon>
    </button>
    <button
      dinamoConfirm
      mat-mini-fab
      color="warn"
      *ngIf="!disableDelete"
      class="delete"
      (click)="deleteItem(item)"
    >
      <mat-icon style="vertical-align: unset;">delete</mat-icon>
    </button>
  </mat-list-item>
</mat-list>
<button class="new" mat-fab color="primary" uiSref="^.new" *ngIf="!disableNew">
  <mat-icon>add</mat-icon>
</button>
